# Record TCefNavigationEntry

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefNavigationEntry = record`

## Description

Structure used to represent an entry in navigation history.

NOTE: This struct is allocated DLL-side.

Implemented by ICefNavigationEntry.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_navigation_entry_capi.h">CEF source file: /include/capi/cef_navigation_entry_capi.h (cef_navigation_entry_t))

## Overview

### Fields

| `base: TCefBaseRefCounted;`
| `is_valid: function(self: PCefNavigationEntry): Integer; stdcall;`
| `get_url: function(self: PCefNavigationEntry): PCefStringUserFree; stdcall;`
| `get_display_url: function(self: PCefNavigationEntry): PCefStringUserFree; stdcall;`
| `get_original_url: function(self: PCefNavigationEntry): PCefStringUserFree; stdcall;`
| `get_title: function(self: PCefNavigationEntry): PCefStringUserFree; stdcall;`
| `get_transition_type: function(self: PCefNavigationEntry): TCefTransitionType; stdcall;`
| `has_post_data: function(self: PCefNavigationEntry): Integer; stdcall;`
| `get_completion_time: function(self: PCefNavigationEntry): TCefBaseTime; stdcall;`
| `get_http_status_code: function(self: PCefNavigationEntry): Integer; stdcall;`
| `get_sslstatus: function(self: PCefNavigationEntry): PCefSSLStatus; stdcall;`

## Description

### Fields

| `base: TCefBaseRefCounted;`
This item has no description.

| `is_valid: function(self: PCefNavigationEntry): Integer; stdcall;`
This item has no description.

| `get_url: function(self: PCefNavigationEntry): PCefStringUserFree; stdcall;`
This item has no description.

| `get_display_url: function(self: PCefNavigationEntry): PCefStringUserFree; stdcall;`
This item has no description.

| `get_original_url: function(self: PCefNavigationEntry): PCefStringUserFree; stdcall;`
This item has no description.

| `get_title: function(self: PCefNavigationEntry): PCefStringUserFree; stdcall;`
This item has no description.

| `get_transition_type: function(self: PCefNavigationEntry): TCefTransitionType; stdcall;`
This item has no description.

| `has_post_data: function(self: PCefNavigationEntry): Integer; stdcall;`
This item has no description.

| `get_completion_time: function(self: PCefNavigationEntry): TCefBaseTime; stdcall;`
This item has no description.

| `get_http_status_code: function(self: PCefNavigationEntry): Integer; stdcall;`
This item has no description.

| `get_sslstatus: function(self: PCefNavigationEntry): PCefSSLStatus; stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.